[PC-BSD Commits] r7676 - in pcbsd: current/mfsroot-overlay/root stable/mfsroot-overlay/root

svn at pcbsd.org svn at pcbsd.org
Thu Sep 30 12:15:05 PDT 2010


Author: kris
Date: 2010-09-30 12:15:05 -0700 (Thu, 30 Sep 2010)
New Revision: 7676

Modified:
   pcbsd/current/mfsroot-overlay/root/PCBSDStart.sh
   pcbsd/stable/mfsroot-overlay/root/PCBSDStart.sh
Log:

Update vesa detection from install media, display that we are using vesa mode, so we can
be sure it was enabled properly



Modified: pcbsd/current/mfsroot-overlay/root/PCBSDStart.sh
===================================================================
--- pcbsd/current/mfsroot-overlay/root/PCBSDStart.sh	2010-09-30 18:54:09 UTC (rev 7675)
+++ pcbsd/current/mfsroot-overlay/root/PCBSDStart.sh	2010-09-30 19:15:05 UTC (rev 7676)
@@ -63,13 +63,13 @@
 # Check for VESA support
 xvesa="NO"
 v=`/bin/kenv xvesa`
-if [ $? -eq 0 ]; then
-        xvesa=$v
-fi
-
-if [ "$xvesa" = "YES" ]
-then
+if [ $? -eq 0 ]; then xvesa="$v" ; fi
+if [ "$xvesa" = "YES" -o "$xvesa" = "yes" ] ; then
   cp /root/cardDetect/XF86Config.compat /etc/X11/xorg.conf
+ 
+  # Notify that we are using vesa
+  echo "Running in vesa mode..."
+  sleep 2
 fi
 
 startx 2>/tmp/xstartup.log

Modified: pcbsd/stable/mfsroot-overlay/root/PCBSDStart.sh
===================================================================
--- pcbsd/stable/mfsroot-overlay/root/PCBSDStart.sh	2010-09-30 18:54:09 UTC (rev 7675)
+++ pcbsd/stable/mfsroot-overlay/root/PCBSDStart.sh	2010-09-30 19:15:05 UTC (rev 7676)
@@ -71,15 +71,15 @@
 # Check for VESA support
 xvesa="NO"
 v=`/bin/kenv xvesa`
-if [ $? -eq 0 ]; then
-        xvesa=$v
+if [ $? -eq 0 ]; then xvesa="$v" ; fi
+if [ "$xvesa" = "YES" -o "$xvesa" = "yes" ] ; then
+  cp /root/cardDetect/XF86Config.compat /etc/X11/xorg.conf
+  
+  # Notify that we are using vesa
+  echo "Running in vesa mode..."
+  sleep 2
 fi
 
-if [ "$xvesa" = "YES" ]
-then
-  cp /root/cardDetect/XF86Config-usrlocal.compat /etc/X11/xorg.conf
-fi
-
 startx 2>/tmp/xstartup.log
 if [ ! -e "/tmp/.xstarted" ]
 then



More information about the Commits mailing list